READLINK(1)

NAME
readlink - display value of a symbolic link

SYNOPSIS
readlink [OPTION]... FILE

DESCRIPTION

Display value of a symbolic link on standard output.

-f, --canonicalize
    canonicalize by following every symlink in every component of the given name recursively; all but the last component must exist

-e, --canonicalize-existing
    canonicalize by following every symlink in every component of the given name recursively, all components must exist

-m, --canonicalize-missing
    canonicalize by following every symlink in every component of the given name recursively, without requirements on components existence

-n, --no-newline
    do not output the trailing newline

-q, --quiet,

-s, --silent
    suppress most error messages

-v, --verbose
    report error messages

--help
    display this help and exit

--version
    output version information and exit

AUTHOR
Written by Dmitry V. Levin.

REPORTING BUGS
Report bugs to <bug-coreutils@gnu.org>.

COPYRIGHT
Copyright © 2007 Free Software Foundation, Inc.
This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
readlink(2)

The full documentation for readlink is maintained as a Texinfo manual. If the info and readlink programs are properly installed at your site, the command

    info readlink

should give you access to the complete manual.